Bug 2013426

Summary: wireplumber-0.4.3-2: crackling sound
Product: [Fedora] Fedora Reporter: rvcsaba
Component: wireplumberAssignee: Peter Hutterer <peter.hutterer>
Status: CLOSED ERRATA QA Contact:
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 35CC: peter.hutterer, wtaymans
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Linux   
Whiteboard:
Fixed In Version: wireplumber-0.4.4-2.fc35 Doc Type: ---
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-10-28 18:27:35 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description rvcsaba 2021-10-12 20:01:55 UTC
Description of problem:

I upgrade to wireplumber-0.4.3-2.fc35.x86_64, sound is very poor. Crackling, continuous, frequently buffer underrun(?). (cca. 20 ms, maybe)

I downgrade to wireplumber-0.4.3-1.fc35.x86_64, restart wireplumber.service, sound is perfect. I disabled wireplumber upgrade in dnf.conf.


Version-Release number of selected component (if applicable):

wireplumber-0.4.3-2.fc35.x86_64
pipewire-0.3.38-1.fc35.x86_64
kernel-5.14.11-300.fc35.x86_64


How reproducible:

I use Seren VoIP client or Audacious audio player.


Actual results:

Crackling sound.


Expected results:

Perfect sound.

wireplumber-0.4.3-1.fc35.x86_64 is correct.

Comment 1 Fedora Update System 2021-10-15 14:49:49 UTC
FEDORA-2021-3c4c454c98 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-3c4c454c98

Comment 2 Fedora Update System 2021-10-15 20:52:02 UTC
FEDORA-2021-3c4c454c98 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-3c4c454c98`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-3c4c454c98

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 3 Fedora Update System 2021-10-24 20:21:25 UTC
FEDORA-2021-3c4c454c98 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-3c4c454c98

Comment 4 Fedora Update System 2021-10-28 18:27:35 UTC
FEDORA-2021-3c4c454c98 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.